output vpc_id {
  value = module.vpc.vpc_id
}

output public_subnets {
  value = concat(
    module.vpc.public_subnets,
    aws_subnet.mgmt[*].id
  )
}

output private_subnets {
  value = concat(
    module.vpc.private_subnets,
    aws_subnet.standalone_tgw[*].id
  )
}

output subnet_id_map {
  value = {
    "untrusted" = module.vpc.public_subnets,
    "management" = aws_subnet.mgmt[*].id,
    "private" = module.vpc.private_subnets,
    "tgw_standalone" = aws_subnet.standalone_tgw[*].id
  }
}

output subnet_cidr_map {
  value = {
    "untrusted" = module.vpc.public_subnets_cidr_blocks,
    "management" = aws_subnet.mgmt[*].cidr_block,
    "private" = module.vpc.private_subnets_cidr_blocks,
    "tgw_standalone" = aws_subnet.standalone_tgw[*].cidr_block,
  }
}

output security_groups {
  value = {
    allow_all = module.allow_all_sg.this_security_group_id
    allow_all_outbound = module.allow_all_outbound_sg.this_security_group_id
    allow_trusted = module.allow_trusted_sg.this_security_group_id
    allow_all_intravpc = module.allow_all_intravpc.this_security_group_id
  }
}

output private_route_tables {
  value = module.vpc.private_route_table_ids
}

output public_route_tables {
  value = module.vpc.public_route_table_ids
}

output azs {
  value = module.vpc.azs
}

output kms_security_arn {
  value = module.kms_security.key_arn
}

#output kms_palo_key_arn {
#  value = module.kms_palo.key_arn
#}
